Skip to content
Snippets Groups Projects
Commit dfc4d1bd authored by Wouter Deconinck's avatar Wouter Deconinck
Browse files

tcs.sh: allow gaudirun $? == 4

parent b5478000
No related branches found
No related tags found
1 merge request!198tcs.sh: allow gaudirun $? == 4
......@@ -91,6 +91,7 @@ echo "DETECTOR = ${DETECTOR}"
## Step 1. Get the data
if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
set +o pipefail
mc -C . head -n $((2+5*${JUGGLER_N_EVENTS})) --insecure ${DATA_URL} | sanitize_hepmc3 > ${JUGGLER_MC_FILE}
if [[ "$?" -ne "0" ]] ; then
echo "Failed to download hepmc files"
......@@ -126,7 +127,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -91,7 +91,7 @@ fi
if [[ ${RECO} == "juggler" ]] ; then
export JUGGLER_SIM_FILE=${SIM_FILE}
export JUGGLER_REC_FILE=${REC_FILE}
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -91,6 +91,7 @@ echo "DETECTOR = ${DETECTOR}"
## Step 1. Get the data
if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
set +o pipefail
mc -C . head -n 1004 --insecure ${DATA_URL} | sanitize_hepmc3 > "${JUGGLER_MC_FILE}"
if [[ "$?" -ne "0" ]] ; then
echo "Failed to download hepmc file"
......@@ -126,7 +127,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -95,7 +95,7 @@ if [ ${RECO} == "eicrecon" ] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -13,7 +13,7 @@ if [ ${RECO} == "eicrecon" ] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -146,7 +146,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
......@@ -90,6 +90,7 @@ echo "DETECTOR = ${DETECTOR}"
## Step 1. Get the data
if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
set +o pipefail
mc -C . head -n 1004 --insecure ${DATA_URL} | sanitize_hepmc3 > "${JUGGLER_MC_FILE}"
if [[ "$?" -ne "0" ]] ; then
echo "Failed to download hepmc file"
......@@ -125,7 +126,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
fi
if [[ ${RECO} == "juggler" ]] ; then
gaudirun.py options/reconstruction.py
gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
if [ "$?" -ne "0" ] ; then
echo "ERROR running juggler"
exit 1
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment